xform2scalar(1)

NAME
xform2scalar - Extract scalar measures from transformations and deformation fields

SYNOPSIS
xform2scalar InputImage XformList

DESCRIPTION
This tool extracts scalar measures from transformations and deformation fields, sampled at grid locations, and writes the results to an image. Examples of supported scalar measures are: x,y,z component of the transformation, magnitude of the transformation, and Jacobian determinants.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--xml
    Write command line syntax specification in XML markup (for Slicer integration).

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Operating Options

--mode
    Mode of operation: type of scalar measure to be extracted. Supported values: "x-component", "y-component", "z-component", "magnitude", where the default is "magnitude", or use one of the following:

    --x-component
        X component of transformation vector.

    --y-component
        Y component of transformation vector.

    --z-component
        Z component of transformation vector.

    --magnitude
        Magnitude of the transformation vector. [This is the default]

--warp-only, -w
    Output warp component only (excluding affine).

  Output Options

--type
    Scalar data type of output image. Supported values: "float", "double", where the default is "double", or use one of the following:

    --float
        Single-precision float.

    --double
        Double-precision float. [This is the default]

--output <image-path>, -o <image-path>
    Output path for image with extracted scalar data. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.